const requestLogsService = require('./../services/requestLogsService');
const rlog = async (ctx, next) => {
  try {
    await next();
  } catch (err) {
  } finally {
    await requestLogsService.create({
      method: ctx.method,
      path: ctx.method === 'GET' ? ctx.path : ctx.url,
      request_data: ctx.method === 'GET' ? JSON.stringify(ctx.query) : JSON.stringify(ctx.request.body),
      ip: ctx.ip,
    });
  }
};
module.exports = rlog;
