import Sequelize from 'sequelize';
export default function(sequelize, DataTypes) {
  return sequelize.define('cache_availability', {
    sn: {
      autoIncrement: true,
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true
    },
    hotel_id: {
      type: DataTypes.BIGINT,
      allowNull: false
    }
  }, {
    sequelize,
    tableName: 'cache_availability',
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "sn" },
        ]
      },
      {
        name: "cache_availability_hotel_id_IDX",
        using: "BTREE",
        fields: [
          { name: "hotel_id" },
        ]
      },
    ]
  });
};
