/** @type {import('tailwindcss').Config} */
import colors from 'tailwindcss/colors'
export default {
  content: ['./index.html', './src/**/*.{vue,js,ts,jsx,tsx}'],
  safelist: [
    'text-primary',
    'text-danger',
    'text-muted',
  ],
  darkMode: 'media',
  theme: {
    colors: {
      ...colors,
      'primary': '#00b96b',
      'danger': '#ef4444',
      'muted': '#6b7280',
    },
    extend: {},
  },
  plugins: [],
  corePlugins: {
    preflight: false,
    divideColor: true,
  },
}

