const db = require('../config/db');
const initModels = require('./../models/init-models');

const Sequelize = db.sequelize;
const models = initModels(Sequelize);

const Logs = models.requestLogsModel;

// Logs.sync({ force: false });

class requestLogs {
  static async create(data) {
    return await Logs.create(data, { logging: false });
  }
}

module.exports = requestLogs;
