import { useRouteError } from 'react-router-dom'
import { Result } from 'antd'

export default function ErrorPage() {
  const errorResponse = useRouteError()
  return (
    <Result
      status='404'
      title='Sorry, an unexpected error has occurred.'
      subTitle={errorResponse?.message || errorResponse.error?.message}
    />
  )
}
